Bug 2149450 - [RFE] Implement Server side encryption support for s3 COPY operation [NEEDINFO]
Summary: [RFE] Implement Server side encryption support for s3 COPY operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat Storage
Component: RGW
Version: 5.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 7.1
Assignee: Marcus Watts
QA Contact: Vidushi Mishra
Akash Raj
URL:
Whiteboard:
: 1710369 (view as bug list)
Depends On:
Blocks: 2267614
TreeView+ depends on / blocked
 
Reported: 2022-11-29 23:12 UTC by Bob Emerson
Modified: 2024-06-13 14:20 UTC (History)
17 users (show)

Fixed In Version: ceph-18.2.1-139.el9cp
Doc Type: Enhancement
Doc Text:
.Copying of encrypted objects using `copy-object` APIs is now supported Previously, in Ceph Object gateway, copying of encrypted objects using copy-object APIs was unsupported since the inception of its server-side encryption support. With this enhancement, copying of encrypted objects using copy-object APIs is supported and workloads that rely on copy-object operations can also use server-side encryption.
Clone Of:
Environment:
Last Closed: 2024-06-13 14:19:59 UTC
Embargoed:
akraj: needinfo? (mwatts)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 23264 0 None None None 2022-11-30 13:29:14 UTC
Red Hat Bugzilla 2149758 0 high CLOSED [DOCS] Need to note that no SSE modes for RGW have implemented CopyObject 2023-01-12 06:06:55 UTC
Red Hat Issue Tracker RHCEPH-5710 0 None None None 2022-11-29 23:18:37 UTC
Red Hat Product Errata RHSA-2024:3925 0 None None None 2024-06-13 14:20:07 UTC

Comment 1 RHEL Program Management 2022-11-29 23:12:25 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 7 Mike Hackett 2022-11-30 20:01:36 UTC
Changing this BZ to an RFE as this capability is not implemented at this time and this is not a bug.

https://tracker.ceph.com/issues/23264

Comment 27 Matt Benjamin (redhat) 2023-09-13 16:11:46 UTC
*** Bug 1710369 has been marked as a duplicate of this bug. ***

Comment 54 errata-xmlrpc 2024-06-13 14:19:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Critical: Red Hat Ceph Storage 7.1 security, enhancements, and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2024:3925


Note You need to log in before you can comment on or make changes to this bug.